Get by I01_ID
1 min
GET
https://celsis.frontu.dev/client/api/v2/integration/materials/{id}
Path Parameters
- idintegerrequiredExample
Responses
200
- cls_I01_TaskD
- I01_IDintegerExample
- I01_TipasstringExample
- I01_Kodas_PostringExample
- I01_Eil_NrstringExample
- I12_Eil_NrstringExample
- I01_Kodas_PsstringExample
- I01_Kodas_IsstringExample
- I01_Kodas_OsstringExample
- I01_SerijastringExample
- I01_Kodas_UsstringExample
- I01_KiekisstringExample
- I01_Kiekis1stringExample
- I01_PavstringExample
- I01_Kodas_GsstringExample
- I01_PastabastringExample
- I01_SortstringExample
- I01_Fotostring
- I01_Kodas_NrstringExample
- I01_SerNr_Sablonasstring
- I01_EAN13string
- I01_Modelisstring
404
- object
- errorstringExample
curl
curl --request GET \
--url https://celsis.frontu.dev/client/api/v2/integration/materials/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://celsis.frontu.dev/client/api/v2/integration/materials/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://celsis.frontu.dev/client/api/v2/integration/materials/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://celsis.frontu.dev/client/api/v2/integration/materials/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"I01_ID": 1246069,
"I01_Tipas": "OP",
"I01_Kodas_Po": "PO001",
"I01_Eil_Nr": "1",
"I12_Eil_Nr": "0",
"I01_Kodas_Ps": "PS001",
"I01_Kodas_Is": "IS001",
"I01_Kodas_Os": "OS001",
"I01_Serija": "SER001",
"I01_Kodas_Us": "US001",
"I01_Kiekis": "10.0000",
"I01_Kiekis1": "5.0000",
"I01_Pav": "Test Material One",
"I01_Kodas_Gs": "GS001",
"I01_Pastaba": "Material note",
"I01_Sort": "1",
"I01_Foto": "",
"I01_Kodas_Nr": "1",
"I01_SerNr_Sablonas": "",
"I01_EAN13": "",
"I01_Modelis": ""
}404
// Not found
{
"error": "Entity Not Found!"
}